import React from 'react'
import { Image, Statistic, Row, Col, Badge, Divider } from 'antd'
import { connect } from 'umi'
import { defaultAvatar } from '@/utils/utils';
import Styles from '../style.less'

const HeaderContent = (props) => {
  return (
    <div className={Styles['header-content']}>
      <div className={Styles['ctt-header']}>
        <Image width="100%" src={props.user.avatar || defaultAvatar} />
      </div>
      <div className={Styles['ctt-body']}>
        <h3>{`你好, ${props.user.userName}, 祝你开心每一天！`}</h3>
        <p>
          <span className={Styles['sub-title']}>{`登录名: ${props.user.loginName}`}</span>
          <span className={Styles['sub-title']}>状态: 正常 <Badge status="success" /></span>
        </p>
      </div>
      <div className={Styles['ctt-footer']}>
        <div className={Styles['st-wrapper']}>
          <div className={Styles['st-item']}><Statistic title="科普数量" value={112893} /></div>
          <div className={Styles['st-item']}><Statistic title="浏览总数" value={112893} /></div>
          <div className={Styles['st-item']}><Statistic title="学生总数" value={112893} /></div>
        </div>
      </div>
    </div>
  )
}

export default connect((s) => ({ user: s.user.currentUser }))(HeaderContent)